# Interface MCommandParameter

All Superinterfaces:
  `MApplicationElement`

All Known Implementing Classes:
  `CommandParameterImpl`

public interface MCommandParameter extends MApplicationElement
A representation of the model object 'Command Parameter'.

This represents the format of a parameter to be used in a Command.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Name`
  - `Type Id`
  - `Optional`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the value of the 'Name' attribute.
`String`
`getTypeId()`
Returns the value of the 'Type Id' attribute.
`boolean`
`isOptional()`
Returns the value of the 'Optional' attribute.
`void`
`setName(String value)`
Sets the value of the '`Name`' attribute.
`void`
`setOptional(boolean value)`
Sets the value of the '`Optional`' attribute.
`void`
`setTypeId(String value)`
Sets the value of the '`Type Id`' attribute.

### Methods inherited from interface MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

## Method Details

### getName

String getName()
Returns the value of the 'Name' attribute.

The name of the parameter.

Returns:
  the value of the 'Name' attribute.
See Also:
  - `setName(String)`

### setName

void setName(String value)
Sets the value of the '`Name`' attribute.

Parameters:
  `value` - the new value of the 'Name' attribute.
See Also:
  - `getName()`

### getTypeId

String getTypeId()
Returns the value of the 'Type Id' attribute.

The type of the parameter.

Returns:
  the value of the 'Type Id' attribute.
See Also:
  - `setTypeId(String)`

### setTypeId

void setTypeId(String value)
Sets the value of the '`Type Id`' attribute.

Parameters:
  `value` - the new value of the 'Type Id' attribute.
See Also:
  - `getTypeId()`

### isOptional

boolean isOptional()
Returns the value of the 'Optional' attribute. The default value is `"true"`.

Determines whether or not this parameter is optional.

Returns:
  the value of the 'Optional' attribute.
See Also:
  - `setOptional(boolean)`

### setOptional

void setOptional(boolean value)
Sets the value of the '`Optional`' attribute.

Parameters:
  `value` - the new value of the 'Optional' attribute.
See Also:
  - `isOptional()`